Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs	(revision 37)
@@ -55,8 +55,7 @@
                 this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
 
                 // ページ印刷
-                List<string> strParaList = new List<string>();
-                CommonDefine.RetunAnswer rtAns = PrintPage(strParaList);
+                CommonDefine.RetunAnswer rtAns = PrintPage();
                 if (rtAns != CommonDefine.RetunAnswer.Answer0)
                 {
                     m_rtAns = rtAns;
@@ -66,6 +65,9 @@
                 // 中断処理
                 if (m_Canceled) return;
 
+                List<string> strParaList = new List<string>();
+                strParaList.Add(m_ConstructionBaseInfoDetail.DetailString);
+
                 // 印刷・Excel保存処理
                 if (m_PrintresRet == DialogResult.Yes)
                 {
@@ -76,15 +78,10 @@
                 {
                     // +++++++++++++++++++++++++ 保存 +++++++++++++++++++++++++
                     string FilePath = @m_SelectSaveExcel;
-                    // 管理ファイルにあるか？
-                    //if (FilePath.Length == 0)
-                    //{
-                    //    FilePath = CommonMotions.DFRModel.ExcelExecuteAction.SavePath.ToString();
-                    //}
                     // エクセル保存
                     if (CommonMotions.ChkDirPath(FilePath, true))
                     {
-                        string wrkFile = "3-2.";
+                        string wrkFile = "5-1.";
                         foreach (string ww in strParaList)
                         {
                             wrkFile += ww;
@@ -133,70 +130,357 @@
         }
         #endregion
 
-        #region 今の年号を取得する
+        #region ページ印刷
         /// <summary>
-        /// 今の年号を取得する
+        /// ページ印刷
         /// </summary>
         /// <returns></returns>
-        private string GetNameOfAnEra()
+        private CommonDefine.RetunAnswer PrintPage()
         {
+            IODailyDataConstruction DailyDB = new IODailyDataConstruction();
             try
             {
-                string strRet = string.Empty;
+                // 工事日報データ取得
+                string strSQL = string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += string.Format(" AND PERSONCODE = {0}", m_PersonCode);
+                strSQL += " ORDER BY DAILYDATADATE";
+                List<DailyDataConstruction> DailyList = new List<DailyDataConstruction>();
+                if (!DailyDB.SelectAction(strSQL, ref DailyList)) return CommonDefine.RetunAnswer.Answer3;
+                if (DailyList.Count == 0) return CommonDefine.RetunAnswer.Answer3;
 
-                CultureInfo culture = new CultureInfo("ja-JP", true);
-                culture.DateTimeFormat.Calendar = new JapaneseCalendar();
+                ArrayList DetailList = new ArrayList();
+                ArrayList VehiclesList = new ArrayList();
+                ArrayList MaterialsList = new ArrayList();
+                ArrayList SubcontrList = new ArrayList();
+                ArrayList FieldList = new ArrayList();
 
-                string result = DateTime.Now.ToString("ggyy年M月d日", culture);
+                string strPageName = string.Empty;
+                foreach (DailyDataConstruction DailyRec in DailyList)
+                {
+                    // 対象日文字列作成
+                    string strTargetDate = DailyRec.DailyDataDate.ToShortDateString();
+                    // 工事日報シートの取得
+                    m_UsedExcel.ExcelSheetGet(s_SheetName, true, strTargetDate.Replace("/", "-"));
 
-                strRet = result.Substring(0, 2);
+                    // データリストクリア
+                    DetailList.Clear();
+                    VehiclesList.Clear();
+                    MaterialsList.Clear();
+                    SubcontrList.Clear();
+                    FieldList.Clear();
 
-                return strRet;
+                    // テーブルよりデータを取得する
+                    GetDetailList(DailyDB, DailyRec, ref DetailList);
+                    GetVehiclesList(DailyDB, DailyRec, ref VehiclesList);
+                    GetMaterialsList(DailyDB, DailyRec, ref MaterialsList);
+                    GetSubcontrList(DailyDB, DailyRec, ref SubcontrList);
+                    GetFieldList(DailyDB, DailyRec, ref FieldList);
+                    
+                    // 必要ページ数を計算する
+                    int PageCnt = GetToDayPageCnt(DetailList, VehiclesList, MaterialsList, SubcontrList);
+                    // 複数ページ必要時はシート内でコピー
+                    if (PageCnt > 1)
+                    {
+                        // ソース位置作成
+                        string SrcRow = string.Format("1:{0}", s_NumberOfRowInDetail);
+                        // コピー先位置作成
+                        string DestRow = string.Format("{0}:{1}", (s_NumberOfRowInDetail + 1), (s_NumberOfRowInDetail * PageCnt));
+                        // 印刷領域作成
+                        string PrintArea = string.Format("$A$1:$AE${0}", (s_NumberOfRowInDetail * PageCnt));
+
+                        // シートの取得
+                        m_UsedExcel.ExcelSheetGet(s_SheetName, false);
+                        // 明細フォーマットのコピー
+                        m_UsedExcel.ExcelCopyRow(SrcRow, DestRow, PrintArea, PageCnt);
+                    }
+
+                    // ----- ページ編集
+                    // ブロック１編集
+                    CommonDefine.RetunAnswer RARet = SetBlock1Data(DailyRec, PageCnt);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック２編集
+                    RARet = SetBlock2Data(DetailList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック３編集
+                    RARet = SetBlock3Data(VehiclesList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック４編集
+                    RARet = SetBlock4Data(MaterialsList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック５編集
+                    RARet = SetBlock5Data(SubcontrList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック６編集
+                    RARet = SetBlock6Data(FieldList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // コントロールの表示を変更する
+                    this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
+                }
+
+                // コントロールの表示を変更する
+                this.Invoke(m_progressDlg, new object[] { m_ProcessCount });
+
+                return CommonDefine.RetunAnswer.Answer0;
             }
-            catch (Exception ex)
+            catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return string.Empty;
+                return CommonDefine.RetunAnswer.Answer1;
             }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+            }
         }
         #endregion
 
-        #region 表紙印鑑表示
+        #region 取得データ量より必要ページ数を返す
         /// <summary>
-        ///  表紙印鑑表示
+        /// 取得データ量より必要ページ数を返す
         /// </summary>
-        private void ExcelPrintCoverSeal(int ChargePersonCode)
+        /// <returns></returns>
+        private int GetToDayPageCnt(ArrayList DetailList, ArrayList VehiclesList, ArrayList MaterialsLis, ArrayList SubcontrList)
         {
+            try
+            {
+                int PageCnt = 0;
+
+                // 明細データページ数
+                int workCnt = DetailList.Count / s_FixDetailListRow;
+                if ((DetailList.Count % s_FixDetailListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                // 車両データページ数
+                workCnt = VehiclesList.Count / s_FixVehiclesListRow;
+                if ((VehiclesList.Count % s_FixVehiclesListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                // 資材データページ数
+                workCnt = MaterialsLis.Count / s_FixMaterialsListRow;
+                if ((MaterialsLis.Count % s_FixMaterialsListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                // 業社打ち合わせデータページ数
+                workCnt = SubcontrList.Count / s_FixSubcontrListRow;
+                if ((SubcontrList.Count % s_FixSubcontrListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                return PageCnt;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 日報明細データを取得する
+        /// <summary>
+        /// 日報明細データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="DetailList"></param>
+        private void GetDetailList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList DetailList)
+        {
+            try
+            {
+                string strSQL = "SELECT C.JOBCATEGORYNAME, B.COMPANYNAME, A.TODAYHEADCOUNT, A.TOTALHEADCOUNT,A.TODAYWORK, A.NEXTDAYWORK, A.NEXTDAYHEADCOUNT";
+                strSQL += " FROM DAILYDATADETAIL A, SUBCONTRACTORMASTER B, SUBCONTRACTORJOBCATEGORY C";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}",m_PersonCode);
+                strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')",DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}",m_ConstructionCode);
+                strSQL += " AND B.COMPANYCODE = A.COMPANYCODE";
+                strSQL += " AND C.JOBCATEGORYCODE = A.JOBCATEGORYCODE";
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref DetailList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報車両データを取得する
+        /// <summary>
+        /// 日報車両データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="VehiclesList"></param>
+        private void GetVehiclesList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList VehiclesList)
+        {
+            try
+            {
+                string strSQL = "SELECT A.MODEL, A.PERFORMANCE, A.OWNER, A.DRIVER, TO_CHAR(A.STARTWORKINGTIME, 'HH24:MI:SS'), TO_CHAR(A.ENDWORKINGTIME, 'HH24:MI:SS')";
+                strSQL += " FROM DAILYDATAVEHICLES A";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref VehiclesList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報資材データを取得する
+        /// <summary>
+        /// 日報資材データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="MaterialsList"></param>
+        private void GetMaterialsList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList MaterialsList)
+        {
+            try
+            {
+                string strSQL = "SELECT A.MATERIALS, A.QUANTITY, A.PRODUCTION, A.DELIVERY, A.QUALITYCONTROL";
+                strSQL += " FROM DAILYDATAMATERIALS A";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref MaterialsList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報業者打合せデータを取得する
+        /// <summary>
+        /// 日報業者打合せデータを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="SubcontrList"></param>
+        private void GetSubcontrList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList SubcontrList)
+        {
+            try
+            {
+                string strSQL = "SELECT A.ATTENDEE, A.CONTENTSTEXT";
+                strSQL += " FROM DAILYDATASUBCONTRACTORS A";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref SubcontrList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報現場巡回データを取得する
+        /// <summary>
+        /// 日報現場巡回データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="FieldList"></param>
+        private void GetFieldList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList FieldList)
+        {
+            try
+            {
+                string strSQL = "SELECT A.SEQNO, A.PATROLTIME, A.CONTENTSTEXT";
+                strSQL += " FROM DAILYDATAFIELD A";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref FieldList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 印鑑表示
+        /// <summary>
+        ///  印鑑表示
+        /// </summary>
+        private void ExcelPrintCoverSeal(DailyDataConstruction DailyRec, int PageCnt)
+        {
             IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOProcessApproval paDB = new IOProcessApproval();
             try
             {
                 // 印刷テーブル作成
-                int[] PorsonTable = new int[4] { 0, 0, 0, 0 };
-                List<string> TitleTable = new List<string>();
-                List<string> NameTable = new List<string>();
-                for (int i = 0; i < PorsonTable.Length; i++)
-                {
-                    TitleTable.Add("");
-                    NameTable.Add("");
-                }
+                int[] PorsonTable = new int[5] { 0, 0, 0, 0, 0 };
+                string[] PrintNameTable = new string[PorsonTable.Length];
+                string[] PersonNameTable = new string[PorsonTable.Length];
 
-                // 担当者をセットする                
-                PorsonTable[3] = ChargePersonCode;
-                PersonInChargeMaster SalesRec = new PersonInChargeMaster();
-                string strSales = picDB.CreatePrimarykeyString(ChargePersonCode);
-                picDB.SelectAction(strSales, ref SalesRec);
-                NameTable[3] = SalesRec.SealPrintName;
-
-                // 承認データ読込
-                //string strSQLSeal = paDB.CreatePrimarykeyString(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
-                //strSQLSeal += " AND SEQNO != 1 Order By SeqNo Asc";
-                //List<ProcessApproval> paList = new List<ProcessApproval>();
-                //if (!paDB.SelectAction(strSQLSeal, ref paList)) return;
-
-                string strSQLSeal = "SELECT * FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B, SECURITYMASTER C";
+                // 承認データから担当者名を読込む
+                string strSQLSeal = "SELECT B.PERSONCODE, B.DISPLAYSTRING, B.SEALPRINTNAME";
+                strSQLSeal += " FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B, SECURITYMASTER C";
                 strSQLSeal += string.Format(" Where ConstructionCode = {0}", ConstructionCode.ToString());
-                strSQLSeal += string.Format(" And ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
+                strSQLSeal += string.Format(" And ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.DRConstructionApproval);
                 strSQLSeal += " AND SEQNO != 1";
                 strSQLSeal += " AND B.PERSONCODE = A.PERSONCODE";
                 strSQLSeal += " AND C.SECCODE = B.SECCODE";
@@ -205,22 +489,30 @@
                 ArrayList arList = new ArrayList();
                 if (!paDB.ExecuteReader(strSQLSeal, ref arList)) return;
 
-                int ProcAppCnt = Enum.GetNames(typeof(IOProcessApproval.ColumnName)).Length;
                 // 承認データより担当者その他を取得する
                 int PrintCnt = 0;
                 foreach (object[] curRec in arList)
                 {
-                    // 枠のセットは３つまで
-                    if (PrintCnt > 2) break;
+                    // 枠分まで
+                    if (PrintCnt > PorsonTable.Length) break;
 
                     ProcessApproval parec = new ProcessApproval();
-                    paDB.Reader2Struct(curRec, ref parec);
-                    PorsonTable[PrintCnt] = parec.PersonCode;
-                    NameTable[PrintCnt] = CommonMotions.cnvString(curRec[ProcAppCnt + (int)IOMPersonInCharge.ColumnCnt.SealPrintName]);
-                    TitleTable[PrintCnt] = CommonMotions.cnvString(curRec[ProcAppCnt + (int)IOMPersonInCharge.ColumnCnt.DisplayString]);
+                    PorsonTable[PrintCnt] = CommonMotions.cnvInt(curRec[0]);
+                    PrintNameTable[PrintCnt] = CommonMotions.cnvString(curRec[1]);
+                    PersonNameTable[PrintCnt] = CommonMotions.cnvString(curRec[2]);
 
                     PrintCnt++;
                 }
+
+                // 担当者をセットする
+                int SetCnt = (PorsonTable.Length - 1);
+                PersonInChargeMaster SalesRec = new PersonInChargeMaster();
+                string strSales = picDB.CreatePrimarykeyString(DailyRec.PersonCode);
+                picDB.SelectAction(strSales, ref SalesRec);
+                PorsonTable[SetCnt] = DailyRec.PersonCode;
+                PrintNameTable[SetCnt] = string.Empty;
+                PersonNameTable[SetCnt] = SalesRec.SealPrintName;
+
                 // テーブル内に同じコードが無いか後から調べる
                 for (int i = PorsonTable.Length - 1; i >= 0; i--)
                 {
@@ -229,7 +521,7 @@
                         if (PorsonTable[i] == PorsonTable[ii])
                         {
                             PorsonTable[i] = 0;
-                            NameTable[i] = "";
+                            PrintNameTable[i] = "";
                             break;
                         }
                     }
@@ -242,15 +534,15 @@
                 shapedef.ShapeWidth = s_ShapeSize[0, 0];        // 図形描画サイズ Width
                 shapedef.ShapeHeight = s_ShapeSize[0, 1];       // 図形描画サイズ Height
 
-                int PrintPos = 9;   // Jは9
-                for (int i = 0; i < 4; i++, PrintPos += 2)
+                int PrintPos = 21;   // Vは21
+                for (int i = 0; i < PorsonTable.Length; i++, PrintPos += 2)
                 {
                     if (PorsonTable[i] == 0) continue;
 
-                    shapedef.ShapeDrowPointX = s_CoverSealPoint[i, 0];          // 図形描画位置 X
-                    shapedef.ShapeDrowPointY = s_CoverSealPoint[i, 1];          // 図形描画位置 Y
-                    shapedef.DrowText = NameTable[i];                           // 描画文字列
-                    int ifontSize = NameTable[i].Length - 1;
+                    shapedef.ShapeDrowPointX = s_CoverSealPoint[i, 0] + (s_NextImageY * PageCnt);   // 図形描画位置 X
+                    shapedef.ShapeDrowPointY = s_CoverSealPoint[i, 1] + (s_NextImageY * PageCnt);   // 図形描画位置 Y
+                    shapedef.DrowText = PersonNameTable[i];                      // 描画文字列
+                    int ifontSize = PersonNameTable[i].Length - 1;
                     if (ifontSize > 4) ifontSize = 4;
                     shapedef.FontSize = s_EstimateSeal1FontSize[ifontSize];     // フォントサイズ
                     // 図形描画
@@ -258,7 +550,12 @@
 
                     // タイトル印字
                     string strChar = CommonMotions.cnvNumberToAlphaCharacter(PrintPos);
-                    if (TitleTable[i].Length != 0) m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString(strChar, 14), TitleTable[i]);
+                    int RowPoint = 1 + (s_NumberOfRowInDetail * i);
+                    if (PrintPos > 25) strChar = "A" + strChar;
+                    if (PrintNameTable[i].Length != 0)
+                    {
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString(strChar, RowPoint), PrintNameTable[i]);
+                    }
                 }
             }
             catch (Exception ex)
